import { Component, OnInit } from '@angular/core';
import { BaseForm } from '@core/base/base-form';
import { ComponentBase } from '@core/base/common-base';
import {
  FormGroup,
  UntypedFormControl,
  UntypedFormGroup,
  Validators,
} from '@angular/forms';

@Component({
  selector: 'app-signup-business',
  templateUrl: './signup-business.component.html',
  styleUrls: ['./signup-business.component.scss'],
})
export class SignupBusinessComponent
  extends ComponentBase
  implements OnInit, BaseForm
{
  form!: FormGroup;

  constructor() {
    super();
  }
  ngOnInit(): void {
    this.initForm();
  }

  initForm(): void {
    this.form = new UntypedFormGroup({
      companyName: new UntypedFormControl(null, [Validators.required]),
      crNumber: new UntypedFormControl(null, [Validators.required]),
      taxNumber: new UntypedFormControl(null, [Validators.required]),
      companyUser: new UntypedFormGroup({
        firstName: new UntypedFormControl(null, [Validators.required]),
        dateOfBirth: new UntypedFormControl(null, [Validators.required]),
        idNumber: new UntypedFormControl(null, [Validators.required]),
        lastName: new UntypedFormControl(null, [Validators.required]),
        email: new UntypedFormControl(null, [
          Validators.required,
          Validators.email,
        ]),
        passportNumber: new UntypedFormControl(null, [Validators.required]),
        favoriteName: new UntypedFormControl(null, [Validators.required]),
        phoneNumber: new UntypedFormControl(null, [Validators.required]),
        linkedInLink: new UntypedFormControl(null, [Validators.required]),
        userType: new UntypedFormControl(3, [Validators.required]),
        userName: new UntypedFormControl(null, [Validators.required]),
        password: new UntypedFormControl(null, [Validators.required]),
        qualificationId: new UntypedFormControl(null, [Validators.required]),
        universityId: new UntypedFormControl(null, [Validators.required]),
        jobTitleId: new UntypedFormControl(null, [Validators.required]),
        industryId: new UntypedFormControl(null, [Validators.required]),
        countryId: new UntypedFormControl(null, [Validators.required]),
        taxNumber: new UntypedFormControl(null, [Validators.required]),
        incomeTaxValue: new UntypedFormControl(null, [Validators.required]),
        cvAttach: new UntypedFormControl(null, [Validators.required]),
        passportAttach: new UntypedFormControl(null, [Validators.required]),
        eduCertificateAttach: new UntypedFormControl(null, [
          Validators.required,
        ]),
        experienceCertificateAttach: new UntypedFormControl(null, [
          Validators.required,
        ]),
        profCertificateAttach: new UntypedFormControl(null, [
          Validators.required,
        ]),
      }),
    });
  }

  onSubmit(): void {}
}
